This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026675 - "alias" and "path" in <keystore/> should work with properties
"alias" and "path" in <keystore/> should work with properties
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Darran Lofthouse
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 03:37 EST by Hisanobu Okuda
Modified: 2014-11-21 13:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-21 13:41:29 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-352 Major Closed "alias" and "path" in <keystore> should work with properties 2014-06-23 14:41:52 EDT

  None (edit)
Description Hisanobu Okuda 2013-11-05 03:37:12 EST
Description of problem:
The customer configured the https listener for the management realm as follow:-

    <management>
        <security-realms>
            <security-realm name="ManagementRealm">
  	        <server-identities>
		    <ssl protocol="TLSv1">
                        <keystore path="${xxx.host.ssl.keyStore}" keystore-password="${xxx.host.ssl.keyStorePassword}" alias="${keyAlias}"/>
                    </ssl>
                </server-identities>
            <authentication>
                <local default-user="$local"/>
                <properties path="mgmt-users.properties" relative-to="jboss.server.config.dir"/>
            </authentication>
        </security-realm>

But, it does not work. He successfully used the same properties to configure the https connector for web applications though.

Version-Release number of selected component (if applicable):
jboss-as-host-controller-7.1.3

How reproducible:
See the problem description

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Hisanobu Okuda 2013-11-05 03:39:43 EST
Request for inclusion to EAP630
Comment 3 Darran Lofthouse 2014-11-21 13:41:29 EST
Just checked EAP already has widespread expression support across the attributes used to define keystores within security realms.

Note You need to log in before you can comment on or make changes to this bug.